cascading.operation.xml

## Class XPathGenerator

- java.lang.Object
- - cascading.operation.BaseOperation<Pair<DocumentBuilder,Tuple>>
  - - cascading.operation.xml.XPathOperation
    - - cascading.operation.xml.XPathGenerator

- All Implemented Interfaces:
    DeclaresResults, Function<Pair<DocumentBuilder,Tuple>>, Operation<Pair<DocumentBuilder,Tuple>>, Traceable, Serializable

      public class XPathGenerator
      extends XPathOperation
      implements Function<Pair<DocumentBuilder,Tuple>>

  XPathGenerator is a Generator function that will emit a new Tuple for every Node returned by the given XPath expression.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.xml.XPathOperation

      `NAMESPACE_XHTML, namespaces, paths`

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathGenerator(Fields fieldDeclaration, String[][] namespaces, String... paths)` Constructor XPathGenerator creates a new XPathGenerator instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operate(FlowProcess flowProcess, FunctionCall<Pair<DocumentBuilder,Tuple>> functionCall)`

    - ### Methods inherited from class cascading.operation.xml.XPathOperation

      `equals, getExpressions, getTransformer, getXPath, hashCode, parseDocument, prepare, writeAsXML`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Constructor Detail

    - #### XPathGenerator

          public XPathGenerator(Fields fieldDeclaration,
                        String[][] namespaces,
                        String... paths)

      Constructor XPathGenerator creates a new XPathGenerator instance.
      Parameters:
        `fieldDeclaration` - of type Fields
        `namespaces` - of type String[][]
        `paths` - of type String...

  - ### Method Detail

    - #### operate

          public void operate(FlowProcess flowProcess,
                     FunctionCall<Pair<DocumentBuilder,Tuple>> functionCall)

      Specified by:
        `operate` in interface `Function<Pair<DocumentBuilder,Tuple>>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.